oracle.xml.async

## Interface DOMBuilderListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  XMLDiff

    public interface DOMBuilderListener
    extends java.util.EventListener

This interface must be implemented in order to receive notifications about events during the asyncronous parsing. The class implementing this interface must be added to the DOMBuilder using addDOMBuilderListener method.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `domBuilderError(DOMBuilderEvent p0)` This method is called when parse error occur.
`void` `domBuilderOver(DOMBuilderEvent p0)` This method is called when the parse is complete
`void` `domBuilderStarted(DOMBuilderEvent p0)` This method is called when parse starts

### Method Detail

#### domBuilderError

    void domBuilderError(DOMBuilderEvent p0)

This method is called when parse error occur.

Parameters:
  `p0` - - The DOMBuilderEvent object produced by the DOMBuilder

#### domBuilderOver

    void domBuilderOver(DOMBuilderEvent p0)

This method is called when the parse is complete

Parameters:
  `p0` - - The DOMBuilderEvent object produced by the DOMBuilder

#### domBuilderStarted

    void domBuilderStarted(DOMBuilderEvent p0)

This method is called when parse starts

Parameters:
  `p0` - - The DOMBuilderEvent object produced by the DOMBuilder

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.